# Visualization
TKService
AlienImage

# AlienImage_EuclidAlienImage Class Reference

This class defines an Euclid Alien image.
.

`#include <AlienImage_EuclidAlienImage.hxx>`

Inheritance diagram for AlienImage_EuclidAlienImage:

[legend]

## Public Member Functions

Standard_EXPORT | AlienImage_EuclidAlienImage ()
Standard_EXPORT void | Clear ()
| Frees memory allocated by EuclidAlienImage .
Standard_EXPORT Handle_Image_Image | ToImage () const
| Converts a EuclidAlienImage object to a Image object. .
Standard_EXPORT void | FromImage (const Handle(Image_Image)&anImage)
| converts a Image object to a EuclidAlienImage object.
Standard_EXPORT Standard_Boolean | Read (OSD_File &afile)
| Reads content of a EuclidAlienImage object from a file . Returns True if file is a Euclid file . .
Standard_EXPORT Standard_Boolean | Write (OSD_File &afile) const
| Writes content of a EuclidAlienImage object to a file . .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_AlienImage_EuclidAlienData | myData

## Constructor & Destructor Documentation

Standard_EXPORT AlienImage_EuclidAlienImage::AlienImage_EuclidAlienImage | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void AlienImage_EuclidAlienImage::Clear | ( |  | ) |

Standard_EXPORT void AlienImage_EuclidAlienImage::FromImage | ( | const Handle(Image_Image)& | anImage | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT const AlienImage_EuclidAlienImage::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_EuclidAlienImage::Read | ( | OSD_File & | afile | ) | `[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Handle_Image_Image AlienImage_EuclidAlienImage::ToImage | ( |  | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

Standard_EXPORT Standard_Boolean AlienImage_EuclidAlienImage::Write | ( | OSD_File & | afile | ) | const`[virtual]`

| Implements AlienImage_AlienUserImage.

## Field Documentation

Handle_AlienImage_EuclidAlienData AlienImage_EuclidAlienImage::myData `[private]`

The documentation for this class was generated from the following file:

- AlienImage_EuclidAlienImage.hxx